* {
    margin: 0;
    padding: 0;
}

body {
    width: 95%;
    margin: 10px auto;
}

#principal {
    display: grid;
    height: 900px;
    gap: 10px;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: 2fr 15fr 1fr;
    grid-template-areas:
        "header header  header  header"
        "aside  sec    sec      sec"
        "footer footer footer   footer";
}

header {
    grid-area: header;
    background-color: green;
}

aside {
    grid-area: aside;
    background-color: red;
}

#secundario {
    grid-area: sec;
    display: grid;
    gap: 10px;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: 1fr 4fr 3fr;
    grid-template-areas:
        "rosa rosa rosa rosa"
        "n1   n1   n2   n2"
        "ter  ter  ter  ter";
}

#tercero {
    grid-area: ter;
    display: grid;
    gap: 10px;
    grid-template-columns: repeat(5, 1fr);
    grid-template-rows: repeat(2, 1fr);
}

footer {
    grid-area: footer;
    background-color: green;
}

#rosa {
    grid-area: rosa;
    background-color: fuchsia;
}

.naranja:nth-child(2) {
    grid-area: n1;
    background-color: orange;
}

.naranja:nth-child(3) {
    grid-area: n2;
    background-color: orange;
}

.marino {
    background-color: blue;
}

header, footer, aside, #rosa, .naranja, .marino {
    display: flex;
    text-align: center;
    flex-direction: column;
    justify-content: center;
    border: 3px black solid;
}